Subject: bug#14582: 24.3.50.1; Strange overlay behavior, when window-start is inside an overlay.

From: E Sabof <[email-masked]>
Date: Sun, 9 Jun 2013 18:37:12 +0100

On Sun, Jun 9, 2013 at 6:06 PM, Eli Zaretskii <[email-masked]> wrote:
>
> "If it hurts, don't do that."  You've put window-start on a position
> that is at the beginning of a line, but happens to be covered by an
> overlay.  Emacs obeyed.
>
> What did you expect instead, and why?  Is there some real-life use
> case where this causes trouble?
>

I think the correct behavior would be to adjust the window-position. As far
as the window is concerned, putting a hiding overlay should be no different
than deleting text.

Yes, it happens quite frequently after (fold-dwim-hide-all), and maybe in
similar commands.